/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.clover;

import org.apache.commons.configuration.Configuration;
import org.apache.maven.plugin.logging.Log;
import org.sonar.plugins.api.maven.JavaMeasuresRecorder;
import org.sonar.plugins.api.maven.MavenPluginHandler;

public class Clover1MavenCollector extends AbstractCloverMavenCollector {

  public Clover1MavenCollector(JavaMeasuresRecorder measuresRecorder, Log log, Configuration configuration) {
    super(measuresRecorder, log, configuration);
  }

  protected Class<? extends MavenPluginHandler> getMavenPluginHandlerClass() {
    return Clover1MavenPluginHandler.class;
  }

  protected String getGroupId() {
    return Clover1MavenPluginHandler.GROUP_ID;
  }

  protected String getArtifactId() {
    return Clover1MavenPluginHandler.ARTIFACT_ID;
  }

  protected int getPluginVersion() {
    return 1;
  }

  protected String getPropKeyLicense() {
    return CloverPlugin.PROP_KEY_LICENSE_1;
  }
}