/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.clover;

import org.sonar.plugins.api.EditableProperties;
import org.sonar.plugins.api.EditableProperty;
import org.sonar.plugins.api.Extension;
import org.sonar.plugins.api.Plugin;

import java.util.ArrayList;
import java.util.List;

@EditableProperties({
  @EditableProperty(key=CloverPlugin.PROP_KEY_LICENSE_1, defaultValue = "", name = "Clover1 license", description = ""),
  @EditableProperty(key=CloverPlugin.PROP_KEY_LICENSE_2, defaultValue = "", name = "Clover2 license", description = "License contents."),
  @EditableProperty(key=CloverPlugin.PROP_DEFAULT_VERSION, defaultValue = "2", name = "Default version", description = "Default Clover version, values are 1 or 2 (default).")
})
public class CloverPlugin implements Plugin {

  public static final String PROP_KEY_LICENSE_1 = "sonar.clover.licenseV1.secured";
  public static final String PROP_KEY_LICENSE_2 = "sonar.clover.licenseV2.secured";
  public static final String PROP_DEFAULT_VERSION = "sonar.clover.defaultVersion";
  public static final short DEFAULT_VERSION_VALUE = 2;

  public String getKey() {
    return "clover";
  }

  public String getName() {
    return "Clover";
  }

  public String getDescription() {
    return "Code coverage engine from <a href='http://www.atlassian.com/software/clover'>Atlassian Clover</a>.";
  }

  public List<Class<? extends Extension>> getExtensions() {
    List<Class<? extends Extension>> list = new ArrayList<Class<? extends Extension>>();
    list.add(Clover1MavenCollector.class);
    list.add(Clover2MavenCollector.class);
    return list;
  }
}
